target: Makefile libpassref.dl

libpassref.dl: Makefile passref.o passref_chdl.o 
	ch dllink libpassref.dl cplusplus passref.o passref_chdl.o

passref.o: passref.cpp
	ch dlcomp libpassref.dl cplusplus passref.cpp

passref_chdl.o: passref_chdl.cpp
	ch dlcomp libpassref.dl cplusplus passref_chdl.cpp

clean:
	rm -f *.o *.dl *.exp *.lib

